pm-methods {xps} | R Documentation

## Methods for accessing perfect matches and mismatches

### Description

Methods for accessing perfect match (PM) and mismatch (MM) probes.

Usage

`pm(object, which = "pm")`

`mm(object, which = "mm")`

### Arguments

`object` | object of class `DataTreeSet`.
`which` | type of perfect match or mismatch probes to be returned.

### Details

For expression arrays all the perfect match (pm) or mismatch (mm) probes on the arrays the object represents are returned as data.frame.

For exon arrays, `pm` returns the probes of the different exon levels as data.frame, i.e. `which` can have one of the following values:

| `core`: | probesets supported by RefSeq and full-length GenBank transcripts.
| `metacore`: | core meta-probesets.
| `extended`: | probesets with other cDNA support.
| `metaextended`: | extended meta-probesets.
| `full`: | probesets supported by gene predictions only.
| `metafull`: | full meta-probesets.
| `affx`: | standard AFFX controls.

For whole genome arrays, `pm` returns the probes of the different exon levels as data.frame, i.e. `which` can have one of the following values:

| `core`: | probesets with category ‘unique’ and ‘mixed’.
| `metacore`: | probesets with category ‘unique’ only.
| `affx`: | standard AFFX controls.

For exon/genome arrays, `mm` returns the background probes as data.frame, i.e. `which` is either “genomic” or “antigenomic”.

### Value

A `data.frame`.

### Author(s)

Christian Stratowa

### See Also

`validData`

### Examples

    ## load existing ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## need to attach scheme mask and probe intensities
    data.test3 <- attachMask(data.test3)
    data.test3 <- attachInten(data.test3)

    pm <- pm(data.test3)
    mm <- mm(data.test3)
    head(pm)
    head(mm)

    ## optionally remove mask and data to free memory
    data.test3 <- removeInten(data.test3)
    data.test3 <- removeMask(data.test3)

[Package xps version 1.2.10 Index]